Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

It looks like you’ve the new version of Firefox. Unfortunately, there is currently a bug that is preventing players from playing Java games with version 3.6.14 of Firefox. Is Firefox doing anything to sort this problem????

  • 4 replies
  • 26 have this problem
  • 8 views
  • Last reply by John99

more options

Pogo is a games website where various games are available operated with Java. With Firefox 3.6.14 new update, Java does not work on pogo. Everyone seem to have this problem.

All Replies (4)

more options

Yes see Pogo.com and other Java pages don't work and update your version of Firefox, hopefully then all will work as expected. IF that does work maybe you could then mark this as solved.

more options

Firefox 3.6.15 was released about 18 hours ago to fix that Java problem. Use Help > Check for Updates to force an update now.

more options

I am currently running Ubuntu and it does not have a section under help to check for updates because they have their own software packages. How can I go about installing the new firefox so that I can play pogo games and bypass the software center for Ubuntu? Is this a complete fix or is this just a testing?

more options

This is not one of the beta releases it is, I understand, designed to fix this problem. I am not a Linux user but is it possible to do manual updates to firefox ?